OSDN Git Service

v23
[android-x86/external-wireless-tools.git] / wireless_tools / INSTALL
1 Very important note :
2 -------------------
3         This release of the Wireless Tools is not compatible with Wireless
4         Extensions earlier than 9.
5         Kernels that support this version of the Wireless Tools are listed
6         below. For all kernels before that, please use the version v19 of
7         the Wireless Tools.
8         You might have headers troubles and it doesn't compile, see below...
9
10 You need :
11 --------
12         o Compiler and development environment
13         o A kernel supporting wireless extensions version 9 or higher
14                 -> from 2.2.14 onward
15                 -> from 2.3.24 onward
16                 Note : CONFIG_NET_RADIO must be enabled
17         o (Optional) A Pcmcia package supporting Wireless Extension
18         o A driver supporting wireless extensions
19                 -> Check my web pages for latest list of drivers,
20                         otherwise patch your favourite driver...
21         Note : more recent kernels and drivers are likely to support
22                 more wireless extension features...
23
24 Recommended versions :
25 --------------------
26         This are the latest updates of the Wireless Extensions :
27         o Kernel (wireless extension definition) :
28                 -> Kernel 2.2.14 onward
29                 -> Kernel 2.3.24 onward
30                 -> Kernel 2.4.0 onward
31         o Pcmcia package :
32                 -> Pcmcia 3.1.15 onward
33         o Drivers with wireless extension support :
34                 -> Check my web pages for latest list of drivers,
35                         otherwise patch your favourite driver...
36
37 Compile wireless tools :
38 ----------------------
39         In theory, a "make" should suffice to create the tools.
40         In practice, there is big troubles with the kernel
41 headers. See below for how to fix that.
42         Note : as some internal data structures change from kernel to
43 kernel, you are advised to not use the precompiled version of the
44 tools but to recompile your own.
45
46 Installation :
47 ------------
48         If I were you, I would not trust a "make install". If you feel
49 courageous, just do "make install". It may even do the right thing.
50         I advise to copy the executable (iwconfig, iwspy and iwpriv)
51 in /usr/local/sbin or /usr/sbin. The man pages (iwconfig.8, iwspy.8
52 and iwpriv.8) should be copied in /usr/local/man/man8 or
53 /usr/man/man8.
54         In fact, if you want to use Pcmcia wireless.opts, this step is
55 mandatory...
56
57 Kernel headers (why it doesn't compile) :
58 ---------------------------------------
59         Some changes in the kernel headers and glibc headers are
60 making my life difficult. We now have a mechanism to automatically
61 select the proper header based on various bits of information (libc
62 version & kernel version), but it may fail to do the right thing.
63         You may also see the message :
64                 "Your kernel/libc combination is not supported"
65         If this happens to you, you will need to hack the rules at the
66 top of iwlib.h and send me the patch.
67
68         The second issue is that some distributions install some
69 independant kernel headers in /usr/include. If you upgrade your
70 kernel, those headers become out of sync and you don't benefit from
71 the latest Wireless Extensions. Even worse, it can sometimes prevent
72 the tools from compiling.
73         The trick is to copy the file .../include/linux/wireless.h
74 from the kernel to the /usr/include headers.
75         A similar procedure may be used to update Wireless Extensions
76 in an older kernel...
77
78         Jean <jt@hpl.hp.com>